#ifndef ANSWERS_H_
#define ANSWERS_H_

#include <qstring.h>
#include <qstringlist.h>
#include <qmap.h>

// forward declarations
class IntervieweeList;



class Answers
{
public:
	Answers(unsigned int aQuestionNr, const IntervieweeList& aListOfInterviewees);
	virtual ~Answers();
	
	QString getFirstS(void)
	{
		theIterator = theAnswers.begin();
		return theIterator.key();
	}
	
	int getFirstI(void)
	{	return theIterator.data(); };
	
	QString getNextS(void)
	{
		++theIterator;
		if (theIterator==theAnswers.end())
			return "";
		return theIterator.key();
	}
	
	int getNextI(void)
	{	return theIterator.data();   }
	
private:
	void add(const QString& anAnswer)
	{
		AnswerListIterator myI = theAnswers.find(anAnswer);
		if (myI == theAnswers.end())
			theAnswers[anAnswer] = 1;
		else
			(myI.data()) ++;
	};

private:
	typedef QMap <QString, int> AnswerList;
	typedef AnswerList::iterator AnswerListIterator;
	AnswerList theAnswers;
	AnswerListIterator theIterator;
};

#endif /*ANSWERS_H_*/
