#ifndef ENTRY_H_
#define ENTRY_H_

#include <qstring.h>
#include <assert.h>

class Entry
{
public:
	Entry() { printf("default Entry constructor!\n"); };

	Entry(const QString& aBase, int aNumber, const QString& aText = "");

	virtual ~Entry();
	
	const QString& text() const
	{ return theText; };
	
	int number() const
	{ return theNumber; };
	
	bool save();
	
	void setText(const QString& aText)
	{ theText = aText; };
	
private:
	QString theBase;
	int theNumber;
	QString theText;
};

#endif /*ENTRY_H_*/
