#ifndef INTERVIEWEELIST_H_
#define INTERVIEWEELIST_H_

#include "NumberedList.h"
#include "Interviewee.h"

class IntervieweeList 
	: public NumberedList<Interviewee>
{
public:
	IntervieweeList();
	virtual ~IntervieweeList();
	
	Interviewee* getNewInterviewee(void)
	{
		return new Interviewee("/I", size()+1);
	};
	
private:
	// make saving impossible for the outside
	virtual bool save(void) {return false;};
};

#endif /*INTERVIEWEELIST_H_*/
