#include "Answers.h"
#include "IntervieweeList.h"

#include "questionaire_global.h"


Answers::Answers(unsigned int aQuestionNr, const IntervieweeList& aListOfInterviewees)
{
	if (aQuestionNr == 0)
		return;
	IntervieweeList::const_iterator myI = aListOfInterviewees.begin();
	while (myI != aListOfInterviewees.end())
	{
		DEBUG5("Answers::Answers(%d) add %s's answer: '%s'\n", 
				aQuestionNr, (*myI).theName.ascii(), (*myI)[aQuestionNr].text().ascii());
		add((*myI)[aQuestionNr].text());
		myI++;
	}
}

Answers::~Answers()
{
}
