#include "questionaire_global.h"

#include "Entry.h"
#include <assert.h>
#include "TheSettingsSingleton.h"


Entry::~Entry()
{
}

Entry::Entry(const QString& aBase, int aNumber, const QString& aText) 
	: theBase(aBase+"/"+QString::number(aNumber)), theNumber(aNumber) 
{
	QString myEntry = TheSettingsSingleton::getQSRef().readEntry(theBase, "");
	DEBUG5("Entry::Entry: %s = '%s'/'%s'\n", theBase.ascii(), myEntry.ascii(), aText.ascii());
	
	if (aText.isEmpty())
	{
		theText = myEntry;
	}
	else
	{
		theText = aText;
	}
}

bool Entry::save(void)
{
	TheSettingsSingleton::getQSRef().writeEntry(theBase, theText);
	DEBUG5("Entry::save for %s\n", theBase.ascii());
	return true;
}
